
Ruby - Bug #14942

Windows7でコンソールに長い文字列を出力できない

07/27/2018 08:26 AM - yagisu (Sumi Yagi)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.3: REQUIRED, 2.4: DONE, 2.5: DONE

Description

WindowsのRubyは、WriteConsoleWでコンソールに文字を出力していますが、

Windows7では、WriteConsoleで書き出せるバッファのサイズは61KB程度が限界のようです。

(WriteConsoleWで"あ"が31366文字まで、WriteConsoleAで"a"が62733文字まででした。)

長い文字列を出力する時は、小分けにして書き出してくれるとありがたいです。

※ Windows10では問題ありません。

Associated revisions

Revision 73ae3e9b4648b49fb54308048aeea17b7a3582e5 - 07/28/2018 03:29 PM - nobu (Nobuyoshi Nakada)

win32.c: limit write size on console

win32/win32.c (constat_parse): split long buffer and limit write

size on a console, as well as rb_w32_write.

[ruby-dev:50597] [Bug #14942]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@64092 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 73ae3e9b4648b49fb54308048aeea17b7a3582e5 - 07/28/2018 03:29 PM - nobu (Nobuyoshi Nakada)

win32.c: limit write size on console

win32/win32.c (constat_parse): split long buffer and limit write

size on a console, as well as rb_w32_write.

[ruby-dev:50597] [Bug #14942]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@64092 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 73ae3e9b - 07/28/2018 03:29 PM - nobu (Nobuyoshi Nakada)

win32.c: limit write size on console

win32/win32.c (constat_parse): split long buffer and limit write

size on a console, as well as rb_w32_write.

[ruby-dev:50597] [Bug #14942]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@64092 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision cccbcd174b6ccc352a4d8ae919a8090b4423297a - 08/27/2018 02:18 PM - U.Nakamura 

merge revision(s) 64092: [Backport #14942]

    win32.c: limit write size on console

    * win32/win32.c (constat_parse): split long buffer and limit write

      size on a console, as well as rb_w32_write.

      [ruby-dev:50597] [Bug #14942]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@64564 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision cccbcd174b6ccc352a4d8ae919a8090b4423297a - 08/27/2018 02:18 PM - U.Nakamura 

merge revision(s) 64092: [Backport #14942]

    win32.c: limit write size on console

06/17/2025 1/3



    * win32/win32.c (constat_parse): split long buffer and limit write

      size on a console, as well as rb_w32_write.

      [ruby-dev:50597] [Bug #14942]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@64564 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision cccbcd17 - 08/27/2018 02:18 PM - U.Nakamura 

merge revision(s) 64092: [Backport #14942]

    win32.c: limit write size on console

    * win32/win32.c (constat_parse): split long buffer and limit write

      size on a console, as well as rb_w32_write.

      [ruby-dev:50597] [Bug #14942]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@64564 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 6d9932a28c94c9a3e54cb4783952c2385c794687 - 09/02/2018 11:23 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 64092: [Backport #14942]

    win32.c: limit write size on console

    * win32/win32.c (constat_parse): split long buffer and limit write

      size on a console, as well as rb_w32_write.

      [ruby-dev:50597] [Bug #14942]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_5@64617 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 6d9932a28c94c9a3e54cb4783952c2385c794687 - 09/02/2018 11:23 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 64092: [Backport #14942]

    win32.c: limit write size on console

    * win32/win32.c (constat_parse): split long buffer and limit write

      size on a console, as well as rb_w32_write.

      [ruby-dev:50597] [Bug #14942]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_5@64617 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 6d9932a2 - 09/02/2018 11:23 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 64092: [Backport #14942]

    win32.c: limit write size on console

    * win32/win32.c (constat_parse): split long buffer and limit write

      size on a console, as well as rb_w32_write.

      [ruby-dev:50597] [Bug #14942]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_5@64617 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 07/28/2018 03:29 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset trunk|r64092.

win32.c: limit write size on console

win32/win32.c (constat_parse): split long buffer and limit write

size on a console, as well as rb_w32_write.

[ruby-dev:50597] [Bug #14942]

#2 - 07/29/2018 07:53 AM - nobu (Nobuyoshi Nakada)

- Backport changed from 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5: UNKNOWN to 2.3: REQUIRED, 2.4: REQUIRED, 2.5: REQUIRED

#3 - 08/27/2018 02:19 PM - usa (Usaku NAKAMURA)
- Backport changed from 2.3: REQUIRED, 2.4: REQUIRED, 2.5: REQUIRED to 2.3: REQUIRED, 2.4: DONE, 2.5: REQUIRED

ruby_2_4 r64564 merged revision(s) 64092.

#4 - 09/02/2018 11:23 AM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.3: REQUIRED, 2.4: DONE, 2.5: REQUIRED to 2.3: REQUIRED, 2.4: DONE, 2.5: DONE

ruby_2_5 r64617 merged revision(s) 64092.
